## org.apache.commons.collections.iterators
Class EmptyOrderedIterator

    java.lang.Object
      org.apache.commons.collections.iterators.EmptyOrderedIterator

All Implemented Interfaces:
  java.util.Iterator, OrderedIterator, ResettableIterator

    public class EmptyOrderedIterator

extends java.lang.Object
implements OrderedIterator, ResettableIterator

Provides an implementation of an empty ordered iterator.

Since:
  Commons Collections 3.1
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Field Summary
`static OrderedIterator` `INSTANCE` Singleton instance of the iterator.

Constructor Summary
`protected` `EmptyOrderedIterator()` Constructor.

Method Summary
`void` `add(java.lang.Object obj)`
`java.lang.Object` `getKey()`
`java.lang.Object` `getValue()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`java.lang.Object` `next()`
`int` `nextIndex()`
`java.lang.Object` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `reset()`
`void` `set(java.lang.Object obj)`
`java.lang.Object` `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.OrderedIterator
`hasPrevious, previous`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface org.apache.commons.collections.ResettableIterator
`reset`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Field Detail

### INSTANCE

    public static final OrderedIterator INSTANCE

  Singleton instance of the iterator.

  Since:
    Commons Collections 3.1

Constructor Detail

### EmptyOrderedIterator

    protected EmptyOrderedIterator()

  Constructor.

Method Detail

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### hasPrevious

    public boolean hasPrevious()

### previous

    public java.lang.Object previous()

### nextIndex

    public int nextIndex()

### previousIndex

    public int previousIndex()

### add

    public void add(java.lang.Object obj)

### set

    public void set(java.lang.Object obj)

### remove

    public void remove()

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()

### setValue

    public java.lang.Object setValue(java.lang.Object value)

### reset

    public void reset()

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.